curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/mcp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true
}
],
"auth_data": {
"headers": {},
"auth_level": "global"
},
"tags": {}
},
"dryRun": false,
"forceDelete": false
}
'{
"data": {
"fqn": "my-tenant:mcp-server:filesystem-tools",
"tenantName": "<string>",
"manifest": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tls_settings": {
"reject_unauthorized": true,
"ca_cert": "<string>"
},
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true
}
],
"auth_data": {
"headers": {},
"auth_level": "global"
},
"ownedBy": {
"account": "<string>"
},
"tags": {}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"proxyUrl": "<string>",
"isAuthOverrideSupported": true
}
}Creates a new MCP server (when no server with manifest.name exists in the tenant) or updates the existing one.
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/mcp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true
}
],
"auth_data": {
"headers": {},
"auth_level": "global"
},
"tags": {}
},
"dryRun": false,
"forceDelete": false
}
'{
"data": {
"fqn": "my-tenant:mcp-server:filesystem-tools",
"tenantName": "<string>",
"manifest": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tls_settings": {
"reject_unauthorized": true,
"ca_cert": "<string>"
},
"tool_settings": [
{
"name": "<string>",
"description": "<string>",
"disabled": true
}
],
"auth_data": {
"headers": {},
"auth_level": "global"
},
"ownedBy": {
"account": "<string>"
},
"tags": {}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"proxyUrl": "<string>",
"isAuthOverrideSupported": true
}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
MCP Server Manifest
Show child attributes
Validate and resolve the manifest without persisting or syncing to the gateway store
Acknowledge that updating this manifest will delete existing auth records.
MCP server created or updated successfully.
MCP Server
Show child attributes
Was this page helpful?